​
Select Service
ves-io-schema-known_label_key-CustomAPI-Get
Published April 5, 2023 | Last modified June 17, 2026
Examples of performing known_label_key CustomAPI Get
Usecase:
Get known_label_key acmecorp/storetype with exact label query
Request:
Request using vesctl:
vesctl request rpc known_label_key.CustomAPI.Get -i request.yaml --uri /public/namespaces/shared/known_label_keys --http-method GET
where file request.yaml has following contents:
key: acmecorp/storetypenamespace: sharedquery: QUERY_EXACT_LABEL_KEYvesctl yaml response:
labelKey:- description: Type of store where edge site will be located key: acmecorp/storetypeRequest using curl:
curl -X 'GET' -H 'Content-Type: application/json' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/shared/known_label_keys?key=acmecorp%2Fstoretype&namespace=shared&query=QUERY_EXACT_LABEL_KEY'curl response:
HTTP/1.1 200 OKContent-Length: 140Content-Type: application/jsonDate: Mon, 13 Apr 2026 01:59:47 GMTVary: Accept-Encoding
{ "label_key": [ { "key": "acmecorp/storetype", "description": "Type of store where edge site will be located" } ]}Usecase:
Get known_label_key with query param to get all
Request:
Request using vesctl:
vesctl request rpc known_label_key.CustomAPI.Get -i request.yaml --uri /public/namespaces/shared/known_label_keys --http-method GET
where file request.yaml has following contents:
namespace: sharedvesctl yaml response:
labelKey:- description: Type of store where edge site will be located key: acmecorp/storetype- description: Type of application deployment at the edge site key: acmecorp/deploymentRequest using curl:
curl -X 'GET' -H 'Content-Type: application/json' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/shared/known_label_keys?key=&namespace=shared&query=QUERY_ALL_LABEL_KEYS'curl response:
HTTP/1.1 200 OKContent-Length: 260Content-Type: application/jsonDate: Mon, 13 Apr 2026 01:59:47 GMTVary: Accept-Encoding
{ "label_key": [ { "key": "acmecorp/storetype", "description": "Type of store where edge site will be located" }, { "key": "acmecorp/deployment", "description": "Type of application deployment at the edge site" } ]}